Subject: [Dots] Erik Kline's No Objection on draft-ietf-dots-telemetry-20: (with COMMENT)

From: Erik Kline via Datatracker <[email-masked]>
Date: Wed, 02 Feb 2022 22:18:01 -0800

Erik Kline has entered the following ballot position for
draft-ietf-dots-telemetry-20: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dots-telemetry/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

[S12, elsewhere; question]

* For the CBOR Major & Type representation of "inet:ip-prefix"es (e.g.
  "source-prefix") have you considered using the representations from
  RFC 9164?

  https://www.rfc-editor.org/rfc/rfc9164.html#name-iana-considerations

---

From: <[email-masked]>
Date: Thu, 3 Feb 2022 07:34:09 +0000

Hi Erik,

We didn't because this will introduce inconsistent mapping rules between attributes of the same type: e.g., 
* "ietf-dots-call-home:source-prefix" (RFC9066) vs source-prefix (this I-D)
* target-prefix (RFC9132) vs. source-prefix (this I-D) 

This is why we have this note in the draft to make sure that the mapping picked in the draft is the authoritative one: 

   *  Note: Implementers must check that the mapping output provided by
      their YANG-to-CBOR encoding schemes is aligned with the content of
      Table 2.

Thank you.

Cheers,
Med

> -----Message d'origine-----
> De : Erik Kline via Datatracker <[email-masked]>
> Envoyé : jeudi 3 février 2022 07:18
> À : The IESG <[email-masked]>
> Cc : [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Objet : Erik Kline's No Objection on draft-ietf-dots-telemetry-20: (with
> COMMENT)
> 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.